--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: Authentication scheme.
  name: scheme
  rw: R
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: Authentication filter for handling DigestAuth negotiation. Used in WWWAuth.
constants: []

full_name: HTTPClient::DigestAuth
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: challenge
- !ruby/object:RI::MethodSummary 
  name: get
- !ruby/object:RI::MethodSummary 
  name: reset_challenge
- !ruby/object:RI::MethodSummary 
  name: set
name: DigestAuth
superclass: Object
